Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartcard::CardReaderManager::CardReaderEvent Struct Reference

Card Reader base event. More...

`import <CardReaderManager.idl;`

Inheritance diagram for smartcard::CardReaderManager::CardReaderEvent:

## Public Attributes
CardReader | cardReader
| Affected card reader.
CardReader::MetaData | metaData
| Metadata of affected card reader.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Card Reader base event.

Definition at line 34 of file CardReaderManager.idl.

## Member Data Documentation

## ◆ cardReader

CardReader smartcard::CardReaderManager::CardReaderEvent::cardReader

Affected card reader.

Definition at line 35 of file CardReaderManager.idl.

## ◆ metaData

CardReader::MetaData smartcard::CardReaderManager::CardReaderEvent::metaData

Metadata of affected card reader.

Definition at line 36 of file CardReaderManager.idl.

The documentation for this struct was generated from the following file:

- CardReaderManager.idl